Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/email-threads/$THREAD_ID/reply \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"caseId": 1001 ,
"reasonCode": "PAYMENT_QUESTION",
"subject": "Re: Question about my July payment",
"body": "Your payment posted on July 21 and your balance is current.",
"contentSource": "HUMAN",
"attachmentEvidenceIds": [
7001
],
"sensitive": false ,
"acknowledgeUnmonitored": false
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/email-threads/${threadId}/reply` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"caseId": 1001 ,
"reasonCode": "PAYMENT_QUESTION",
"subject": "Re: Question about my July payment",
"body": "Your payment posted on July 21 and your balance is current.",
"contentSource": "HUMAN",
"attachmentEvidenceIds": [
7001
],
"sensitive": false ,
"acknowledgeUnmonitored": false
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/email-threads/{thread_id}/reply" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"caseId": 1001 ,
"reasonCode": "PAYMENT_QUESTION",
"subject": "Re: Question about my July payment",
"body": "Your payment posted on July 21 and your balance is current.",
"contentSource": "HUMAN",
"attachmentEvidenceIds": [
7001
],
"sensitive": false ,
"acknowledgeUnmonitored": false
},
)202 400 401 403 404 409
{
"threadId": 3501 ,
"messageId": 3602 ,
"status": "QUEUED",
"senderProfileCode": "SERVICING_PRIMARY",
"fromAddress": "servicing@example.invalid",
"mailboxMode": "MONITORED",
"preparationDecisionId": 6118 ,
"resourceId": 3602
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}